Bug 160570 - x11-toolkits/swt: port incorrectly marked as broken
Summary: x11-toolkits/swt: port incorrectly marked as broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-08 21:00 UTC by landsidel.allen
Modified: 2011-09-12 04:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description landsidel.allen 2011-09-08 21:00:21 UTC
Port x11-toolkits/swt is incorrectly marked broken "does not fetch."  It does fetch, it just takes a while, as the first working server is well down the list of those tried.

Fix: 

Remove or fix broken package source URLs.  Some have gone away entirely, others have been changed to archive ftp/http directories as the version in the port is rather old.
Comment 1 Chris Rees 2011-09-08 21:09:38 UTC
If you have the time, it would be a real help if you identify the failing
sites.

The list of sites tried is in the Makefile, under MASTER_SITES.

Chris
Comment 2 landsidel.allen 2011-09-08 23:47:11 UTC
Sure.  Will be back in a bit with a diff.
Comment 3 landsidel.allen 2011-09-09 00:11:18 UTC
Due to the age, it seems best to not mess around with 
MASTER_SITE_ECLIPSE just now.  In the Mk/bsd.sites.mk I added a new 
section after MASTER_SITE_ECLIPSE.  The master sites look like they are 
mostly still correct for newer versions of swt.

.if !defined(IGNORE_MASTER_SITE_ECLIPSE_ARCHIVE)
MASTER_SITE_ECLIPSE_ARCHIVE+= \
         http://archive.eclipse.org/eclipse/downloads/drops/%SUBDIR%/
.endif

And changed the Makefile for x11-toolkits/swt to use 
MASTER_SITE_ECLIPSE_ARCHIVE instead.

Make fetch works as expected.

Not sure if this is the correct way to name an old/archival master site 
or not.
Comment 4 Chris Rees freebsd_committer 2011-09-11 13:58:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 5 dfilter service freebsd_committer 2011-09-11 14:04:51 UTC
crees       2011-09-11 13:04:40 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/swt     Makefile 
  Log:
  Use Eclipse archive site instead-- this port could really do with an update.
  
  PR:             ports/160570
  Submitted by:   Allen Landsidel <landsidel.allen@gmail.com>
  
  Revision  Changes    Path
  1.22      +2 -3      ports/x11-toolkits/swt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2011-09-11 14:05:50 UTC
State Changed
From-To: open->closed

Committed the archive site just to swt-- it's not something we should 
put in bsd.sites.mk because it's a temporary solution. If you feel like 
working on it, it would be great if you would like to become maintainer 
of swt and update it to a later version... Thanks for the MASTER_SITES 
update!